## RiskyMod

A full-game overhaul that aims to bring it closer to RoR1's balance. My main priority is multiplayer, but the mod is balanced in solo as well.

I highly recommed installing https://thunderstore.io/package/Moffein/EliteReworks/ to go with this, and enabling the Celestine beta tweaks in the config.

Full change list can be found here. https://docs.google.com/document/d/1Igxdur0M33fdkcDLYgDEbLE0M4-89gSTorxgdn-oyKs/

This mod merges in fixes and tweaks from a bunch of other mods. If you have those mods installed, these fixes/changes will disable and the original mod will take priority (Except for Bandit Grace Period).

Feel free to take features of this mod and release them as standalone as long as you link the original GitHub repo in the README.

## Main Features

- Removed proc chains.
- Made difficulty scaling linear (exponential jump on-loop) and increased spawnrates.
- Oneshot Protection now works as you would expect.
	- Oneshot = Going from >90% HP to 0% HP in under 0.5s
	- Once triggered, you have to be out of danger (no damage for 7s) before it can be retriggered.
- Shields gate against HP damage like the Guardian's Heart in RoR1.
	- Transcendence/Perfected Affix disable Oneshot Protection due to having shieldgating built-in.
- Big balance pass over nearly all the items.
	- Bad items like Squid Polyps and Warbanners have gotten substantial buffs.
	- Strong damage items like AtGs and Elemental Bands now have lowered damage.
	- Most forms of range scaling have been removed.
- Drones performance now remains the same on all stages. (WiP)

## Other Changes

- Combat Shrines give less money, but drop items for the team on completion.
- Teleporter radius expands once the boss is dead.
- Tweaked Commencement
	- Only 2 pillars are required to activate the jump pads.
	- Pillars drop items for the team on completion, and you can complete as many as you want.

## Installation
Place RiskyMod.dll **AND** the **language folder** in /Risk of Rain 2/BepInEx/plugins/RiskyMod

## Planned Changes (Not implemented yet)

- Survivor Tweaks?
	- I wanted to focus on the core game balance first, so I didn't include survivor tweaks for now.
	- Likely would heavily rework Loader/Acrid/Captain, and make minor tweaks to the rest of the cast (ex. alt passives for Bandit/Merc, Phase Round Lighting/Nade Cooking for Commando).
- Enemy Tweaks?
- Void Rework?
	- Idea is to have each vent trigger a Void-Boosted Bossfight with a bunch of related mobs spawning, and killing the boss completes the cell.
	- Need to reduce the amount of time spent waiting around.
	- Probably will expand the bubble since waiting in tiny bubbles sucks.
	- Probably will change the HP drain to something else so that going outside the bubble isn't just a free razorwire proc, or even remove the whole "stay in a bubble" thing altogether.
	- Make time pass while in the void (maybe at a slower rate, or maybe have each cell completed increment the timer) so that it isn't just free items for no time cost whatsoever.

## Changelog

`0.3.0`
- Fixed Pearls never dropping from Moon Pillars.
- Active Moon Pillars no longer instantly charge when the jump pads activate.
- Captain
	- Vulcan Shotgun
		- Damage reduced 8x120% -> 7x100%
		- Now has no falloff when fully charged.
		- Attack speed increases pellet count instead of reducing duration.
		
- Bandit
	- Primaries
		- Now can be autofired at 100% accuracy (0.3s per shot, scales with attack speed).
		- The first 0.3s of the reload is no longer affected by attack speed. The rest of the reload still is.
	- Blast now pierces.
	- Scatter
		- Damage reduced 5x100% -> 5x90%
		- Proc coefficient increased 0.5 -> 0.75

`0.2.5`
- Fixed monsters benefiting from Shield Gating (did most of my testing with EliteReworks so this slipped under the radar).
- Linear Run Scaling
	- Fixed difficulty bar not moving (let me know if there's any hidden side effects to this).
	- Fixed Linear Run Scaling ignoring the level cap.
- Berzerker's Pauldron
	- Buff duration reduced 6s -> 4s
	- Stack decay time reduced 1s -> 0.5s

`0.2.4`
- Fixed RiskyMod breaking when the standalone tweak mods are installed.
- Reformatted config to remove numbering. This should better futureproof the mod for when new survivors/item categories/etc. are added.

`0.2.3`
- Fixed a nullref with H3AD-ST.
- Fixed Queens Gland having +50% extra HP.
- Drones
	- Reduced armor/level to 0.5
	- All drones now get shields.
	- Removed health bonus from Incinerator Drones.
	
*Trying to make drone stats more consistent across the board. Since shields go a long way with making drones better at tanking, I've lowered their armor.*

`0.2.2`
- Fixed a bug where The Back-Up would sometimes fail to track active drones properly.

`0.2.1`
- Language fix for R2Modman

`0.2.0`
- Added localization support (Thanks Anreol!). You can make a localization by checking the language folder of the mod. Notify me on the GitHub if you want your translation added to the mod.
- Added config support for most options. Let me know if any of these options are broken.
- Vengeance Doppelgangers now get -90% healing from percent-based healing sources.
- Drones
	- All drones now have the same +1 Armor/Level stat instead of varying between drones.
	- TC280, Gunner Turrets, and Flame Drones now get +50% HP.
	- Health regen time increased 20s -> 25s
- Squid Polyp:
	- HP reduced 960 -> 720
	- Lifetime reduced 30s -> 20s
	- Doppelganger Squids now have 50% shorter lifetime compared to normal squids.
	- Doppelganger Squids no longer get extra attack speed with stacks.
- Solus Control Unit and Alloy Worship Unit's giant ground circle attack now ignores Shield Gating.
- Captain:
	- Defensive Microbots now doesn't destroy stationary projectiles. These include:
		- Void Reaver mortars
		- SCU/AWU ground attack
		- Lunar Exploder fire
		- Titan Fists
		- Acrid puddles
		- Artificer ice wall
		- Captain air strikes
		- Ancient Wisp lightning
	- These projectiles can be destroyed if they're intercepted midair:
		- Mini Mushrum gas
		- Beetle Queen acid
		- Malachite spikes
			
*Let me know if it's not deleting things that it feels like it should be deleting.*

- Wandering Vagrant:
	- Nova no longer scales with attack speed. This prevents it from having weird interactions with Prison Shackles or becoming undodgeable with attack speed items.

`0.1.2`
- Fixed players being able to spawn up to 11 Backup Drones if 1 of the drones died early.

`0.1.1`
- Fixed a visual bug where Moon Pillar count would show as 4 for clients.
- Tweaked Shrine of Combat drop odds
	- Uncommon: 40% -> 47.5%
	- Legendary: 10% -> 2.5%
- Reduced Drone armor per level from 2 -> 1
	- Drones were never going below 75% HP with +2. If +1 makes them too squishy, I'll try changing their HP instead.
	- This change affects Polyps too, so I'll be keeping my eye on that.
- Backup
	- No longer is affected by the ally cap.
	- Now capped at 8 drones. The equipment won't activate if you try to spawn more than 8.
- Vagrant Novas now ignore Shield Gating.


`0.1.0`
- Thunderstore beta release. Releasing a bit earlier than intended by request. I did a short test in multiplayer with a friend and things seemed to work fine with my usual modpack, but let me know if there's any issues.
- I plan for most features to be individually toggleable via config, but didn't have the time to set it up. Hoping that I can get that set up soon.